12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152 |
- #!/usr/bin/env bash
- set -eu
- PREFIX="${1:-}"
- if test -z "$PREFIX"; then
- echo "scripts/installcheck.sh [PREFIX]"
- exit
- fi
- diff -u <(find docs/libcurl/ -name "*.3" -printf "%f\n" | grep -v template | sort) <(find "$PREFIX/share/man/" -name "*.3" -printf "%f\n" | sort)
- if test "$?" -ne "0"; then
- echo "ERROR: installed libcurl docs mismatch"
- exit 2
- fi
- diff -u <(find include/ -name "*.h" -printf "%f\n" | sort) <(find "$PREFIX/include/" -name "*.h" -printf "%f\n" | sort)
- if test "$?" -ne "0"; then
- echo "ERROR: installed include files mismatch"
- exit 1
- fi
- echo "installcheck: installed libcurl docs and include files look good"
|